## Class NotAnArrayException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - NotAnArrayException

- All Implemented Interfaces:
    `java.io.Serializable`

      public class NotAnArrayException
      extends java.lang.Exception

  Exception indicating that an object is not a java array
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NotAnArrayException​(java.lang.Class clazz)` |
    `NotAnArrayException​(java.lang.String message)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NotAnArrayException

          public NotAnArrayException​(java.lang.Class clazz)

    - #### NotAnArrayException

          public NotAnArrayException​(java.lang.String message)